VERA_LADDR := $9F20
VERA_MADDR := $9F21
VERA_HADDR := $9F22
VERA_DATA0 := $9F23
CHKIN := $FFC6
CLRCHN := $FFCC
MACPTR := $FF44
GETIN := $FFE4
R0L=2
R0H=3
R1L=4
R1H=5
R14L=$1E
R14H=$1F
R15L=$20

.org $0700
    inc R1H
fullframe:
    ldx #4
	jsr CHKIN
    lda #37
    sta R0L
    wai
    lda R15L
    beq Hipage
    lda #%00010100
    sta $9F2F
    lda #0
    sta R15L
    sta VERA_LADDR
    sta VERA_MADDR
    bra Hiaddr
Hipage:
    lda #1
    sta R15L
    lda #0
    sta $9F2F
    sta VERA_LADDR
    lda #$28
    sta VERA_MADDR
Hiaddr:
    lda #%00010000
    sta VERA_HADDR
loop1:
	ldx #$23
	ldy #$9F
	lda #$FF
	sec
	jsr MACPTR
	dec R0L
	bne loop1
	ldx #$23
	ldy #$9F
	lda #$A5
	sec
	jsr MACPTR
    jsr CLRCHN
    inc R14L
    beq HICOUNT
    bra checkframes
HICOUNT:
    inc R14H
    bra checkframes
checkframes:    
    jsr GETIN
    cmp #27
    beq done
    dec R1L
    bne fullframe
    dec R1H
    bne fullframe
done:
	rts

